% =======================================================================
% script per caricare i dati e visualizzarli
%
% HW2 - Sistemi Dinamici - a.a. 2020/2021
%
% G. Fenu
%

close all
clear all
clc


load pedestrianDataset
% carica i dati nel workspace

whos
% visualizza le variabili caricate nel workspace
%
% Ts <--> periodo di campionamento con cui sono state acquisite i
%         dati
% xyz <-> array che contiene le coordinate (in mm) della posizione del
%         pedone in movimento, per ciascun istante di campionamento; ogni
%         riga corrisponde ad una coordinata: 
%             xyz(1,:) <--> coordinata X
%             xyz(2,:) <--> coordinata Y
%             xyz(3,:) <--> coordinata Z
            

figure('Name', 'Traiettoria 2-D del pedone'); 
plot(xyz(1,:),xyz(2,:),'-o' );
axis square; grid on
% visualizza i dati in 2D
xlabel('coordinata X [mm]'); ylabel('coordinata Y [mm]');
% in evidenza il punto iniziale, in verde
hold on; plot(xyz(1,1),xyz(2,1),...
    'sg', 'MarkerSize', 12, 'MarkerFaceColor', 'g');
% in evidenza il punto di arrivo, in rosso
plot(xyz(1,end),xyz(2,end),...
    'dr', 'MarkerSize', 12, 'MarkerFaceColor', 'r');
set(gca, 'FontSize', 16, 'FontWeight', 'bold');

figure('Name', 'Traiettoria 3-D del pedone'); 
plot3(xyz(1,:),xyz(2,:),xyz(3,:), '-o' );
axis equal; grid on
% visualizza i dati in 3D
xlabel('coordinata X [mm]'); 
ylabel('coordinata Y [mm]');
zlabel('coordinata Z [mm]');
% in evidenza il punto iniziale, in verde
hold on; plot3(xyz(1,1), xyz(2,1), xyz(3,1),...
    'sg', 'MarkerSize', 12, 'MarkerFaceColor', 'g');
% in evidenza il punto di arrivo, in rosso
plot3(xyz(1,end), xyz(2,end), xyz(3,end),...
    'dr', 'MarkerSize', 12, 'MarkerFaceColor', 'r');
set(gca, 'FontSize', 16, 'FontWeight', 'bold');

% ========================================================================